/// <reference types="node" />
export declare enum distributorMode {
    WS = "WS",
    MQ = "MQ"
}
export interface Config {
    DISTRIBUTOR_IP: string;
    DISTRIBUTOR_PORT: number;
    DISTRIBUTOR_HASH_KEY: string;
    DISTRIBUTOR_PUBLIC_KEY: string;
    DISTRIBUTOR_SECRET_KEY: string;
    ARCHIVER_DB_DIR: string;
    ARCHIVER_DATA: {
        cycleDB: string;
        accountDB: string;
        transactionDB: string;
        receiptDB: string;
        originalTxDataDB: string;
    };
    DISTRIBUTOR_LOGS: string;
    RATE_LIMIT: number;
    VERBOSE: boolean;
    DATA_LOG_DIR: string;
    FILE_STREAM_INTERVAL_MS: number;
    NUMBER_OF_WORKERS: number;
    MAX_CLIENTS_PER_CHILD: number;
    limitToSubscribersOnly: boolean;
    subscribers: [] | Subscriber[];
    distributorMode: string;
    MQ_DISTRIBUTOR_SERVER_PORT: number;
}
declare let config: Config;
export interface Subscriber {
    publicKey: string;
    expirationTimestamp: number;
    subscriptionType: SubscriptionType;
}
export interface ClientInterface {
    Worker_PID: number;
    Client_PubKeys: string[];
}
export declare enum SubscriptionType {
    FIREHOSE = "FIREHOSE",
    ACCOUNTS = "ACCOUNTS"
}
export declare function overrideDefaultConfig(file: string, env: NodeJS.ProcessEnv, args: string[]): void;
export { config };
