/// <reference types="node" />
import { Signature } from '@shardeum-foundation/lib-crypto-utils';
import { FastifyInstance } from 'fastify';
import { Server, IncomingMessage, ServerResponse } from 'http';
export declare const MAX_ACCOUNTS_PER_REQUEST = 1000;
export declare const MAX_RECEIPTS_PER_REQUEST = 100;
export declare const MAX_ORIGINAL_TXS_PER_REQUEST = 100;
export declare const MAX_CYCLES_PER_REQUEST = 100;
export declare const MAX_BETWEEN_CYCLES_PER_REQUEST = 100;
interface RequestBody {
    count?: number;
    start?: number;
    end?: number;
    startCycle?: number;
    endCycle?: number;
    type?: string;
    page?: number;
    txId?: string;
    txIdList?: string;
    sender: string;
    sign: Signature;
    collectorInfo?: {
        subscriptionType: string;
        timestamp: number;
    };
}
export declare function registerRoutes(server: FastifyInstance<Server, IncomingMessage, ServerResponse>): void;
export declare const validateRequestData: (data: RequestBody, expectedDataType: {
    [key: string]: "s" | "o" | "n?" | "s?";
}) => {
    success: boolean;
    error?: string;
};
export {};
