/** Same as type AccountsCopy in the shardus core */
export interface AccountsCopy {
    accountId: string;
    data: object;
    timestamp: number;
    hash: string;
    cycleNumber: number;
    isGlobal?: boolean;
}
export type DBAccount = AccountsCopy & {
    data: string;
};
export declare function insertAccount(account: AccountsCopy): Promise<void>;
export declare function bulkInsertAccounts(accounts: AccountsCopy[]): Promise<void>;
export declare function updateAccount(accountId: string, account: AccountsCopy): Promise<void>;
export declare function queryAccountByAccountId(accountId: string): Promise<AccountsCopy | void>;
export declare function queryLatestAccounts(count: number): Promise<AccountsCopy[] | void>;
export declare function queryAccounts(skip?: number, limit?: number): Promise<AccountsCopy[] | void>;
export declare function queryAccountCount(): Promise<AccountsCopy[] | void>;
export declare function queryAccountCountBetweenCycles(startCycleNumber: number, endCycleNumber: number): Promise<number | void>;
export declare function queryAccountsBetweenCycles(skip: number, limit: number, startCycleNumber: number, endCycleNumber: number): Promise<AccountsCopy[] | void>;
