export declare class Checkpoint {
    id: number | null;
    data_type: string;
    mode: number;
    cursor: string;
}
export declare class CheckpointDao {
    static init(): Promise<void>;
    static getCheckpoint(dataType: string, mode: string): Promise<Checkpoint>;
    static upsertCheckpoint(dataType: string, mode: string, cursor: string): Promise<void>;
    static get(sql: string, params?: any[]): Promise<Checkpoint>;
    static run(sql: string, params?: {}): Promise<{
        id: number;
    } | Error>;
    static close(): void;
}
