import { P2P, StateManager } from '@shardeum-foundation/lib-types';
export interface Cycle {
    counter: number;
    cycleRecord: P2P.CycleCreatorTypes.CycleRecord;
    cycleMarker: StateManager.StateMetaDataTypes.CycleMarker;
}
export type DBCycle = Cycle & {
    cycleRecord: string;
};
export declare function insertCycle(cycle: Cycle): Promise<void>;
export declare function bulkInsertCycles(cycles: Cycle[]): Promise<void>;
export declare function updateCycle(marker: string, cycle: Cycle): Promise<void>;
export declare function queryCycleByMarker(marker: string): Promise<Cycle | null>;
export declare function queryLatestCycleRecords(count: number): Promise<P2P.CycleCreatorTypes.CycleRecord[] | void>;
export declare function queryCycleRecordsBetween(start: number, end: number): Promise<P2P.CycleCreatorTypes.CycleRecord[] | void>;
export declare function queryCyleCount(): Promise<number>;
