"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeDatabases = exports.initializeDB = exports.originalTxDataDatabase = exports.receiptDatabase = exports.transactionDatabase = exports.accountDatabase = exports.cycleDatabase = void 0;
const sqlite3storage_1 = require("./sqlite3storage");
const initializeDB = async (config) => {
    exports.accountDatabase = await (0, sqlite3storage_1.readFromDB)(`${config.ARCHIVER_DB_DIR}/${config.ARCHIVER_DATA.accountDB}`, 'Account');
    exports.cycleDatabase = await (0, sqlite3storage_1.readFromDB)(`${config.ARCHIVER_DB_DIR}/${config.ARCHIVER_DATA.cycleDB}`, 'Cycle');
    exports.transactionDatabase = await (0, sqlite3storage_1.readFromDB)(`${config.ARCHIVER_DB_DIR}/${config.ARCHIVER_DATA.transactionDB}`, 'Transaction');
    exports.receiptDatabase = await (0, sqlite3storage_1.readFromDB)(`${config.ARCHIVER_DB_DIR}/${config.ARCHIVER_DATA.receiptDB}`, 'Receipt');
    exports.originalTxDataDatabase = await (0, sqlite3storage_1.readFromDB)(`${config.ARCHIVER_DB_DIR}/${config.ARCHIVER_DATA.originalTxDataDB}`, 'OriginalTxData');
    // TODO: Check if the database have the required tables and they are in the same format as the original version in the archiver
};
exports.initializeDB = initializeDB;
const closeDatabases = async () => {
    const promises = [];
    promises.push((0, sqlite3storage_1.close)(exports.accountDatabase, 'Account'));
    promises.push((0, sqlite3storage_1.close)(exports.transactionDatabase, 'Transaction'));
    promises.push((0, sqlite3storage_1.close)(exports.cycleDatabase, 'Cycle'));
    promises.push((0, sqlite3storage_1.close)(exports.receiptDatabase, 'Receipt'));
    promises.push((0, sqlite3storage_1.close)(exports.originalTxDataDatabase, 'OriginalTxData'));
    await Promise.all(promises);
};
exports.closeDatabases = closeDatabases;
//# sourceMappingURL=index.js.map