export interface OriginalTxData {
    txId: string;
    timestamp: number;
    cycle: number;
    originalTxData: unknown;
}
export interface OriginalTxsDataCountByCycle {
    cycle: number;
    originalTxsData: number;
}
export type DBOriginalTxData = OriginalTxData & {
    originalTxData: string;
};
export declare function insertOriginalTxData(OriginalTxData: OriginalTxData): Promise<void>;
export declare function bulkInsertOriginalTxsData(originalTxsData: OriginalTxData[]): Promise<void>;
export declare function queryOriginalTxDataCount(startCycle?: number, endCycle?: number): Promise<number>;
export declare function queryOriginalTxsData(skip?: number, limit?: number, startCycle?: number, endCycle?: number): Promise<OriginalTxData[]>;
export declare function queryOriginalTxDataByTxId(txId: string): Promise<OriginalTxData | null>;
export declare function queryOriginalTxDataCountByCycles(start: number, end: number): Promise<OriginalTxsDataCountByCycle[]>;
export declare function queryLatestOriginalTxs(count: number): Promise<DBOriginalTxData[] | void>;
