import { Database } from 'sqlite3';
import { DBCycle, Cycle } from './cycles';
import { Receipt, DBReceipt } from './receipts';
import { OriginalTxData } from './originalTxsData';
import { DBTransaction, Transaction } from './transactions';
import { DBAccount, AccountsCopy } from './accounts';
export interface DBOriginalTxData {
    txId: string;
    timestamp: number;
    cycle: number;
    originalTxData: object;
    sign: object;
}
type DBRecord = DBTransaction | DBCycle | DBOriginalTxData | Cycle | Receipt | DBReceipt | OriginalTxData | Transaction | DBAccount | AccountsCopy;
export declare const readFromDB: (dbPath: string, dbName: string) => Promise<Database>;
/**
 * Closes Database Connection Gracefully
 */
export declare function close(db: Database, dbName: string): Promise<void>;
export declare function run(db: Database, sql: string, params?: {}): Promise<{
    id: number;
} | Error>;
export declare function get(db: Database, sql: string, params?: any[]): Promise<DBRecord>;
export declare function all(db: Database, sql: string, params?: any[]): Promise<DBRecord[]>;
export declare function extractValues(object: unknown): (string | number | boolean | null)[] | void;
export declare function extractValuesFromArray(arr: DBRecord[]): (string | number | boolean | null)[] | void;
export {};
