/**
 * Transaction is for storing dapp receipt (eg. evm receipt in shardeum)
 * If there is no dapp receipt, we can skip storing in transactions table and use receipts table
 */
export interface Transaction {
    txId: string;
    appReceiptId?: string;
    timestamp: number;
    cycleNumber: number;
    data: object;
    originalTxData: object;
}
export type DBTransaction = Transaction & {
    data: string;
    originalTxData: string;
};
export declare function insertTransaction(transaction: Transaction): Promise<void>;
export declare function bulkInsertTransactions(transactions: Transaction[]): Promise<void>;
export declare function queryTransactionByTxId(txId: string): Promise<Transaction | void>;
export declare function queryTransactionByAccountId(accountId: string): Promise<Transaction | void>;
export declare function queryLatestTransactions(count: number): Promise<Transaction[] | void>;
export declare function queryTransactions(skip?: number, limit?: number): Promise<Transaction[] | void>;
export declare function queryTransactionCount(): Promise<number>;
export declare function queryTransactionCountBetweenCycles(startCycleNumber: number, endCycleNumber: number): Promise<number>;
export declare function queryTransactionsBetweenCycles(skip: number, limit: number, startCycleNumber: number, endCycleNumber: number): Promise<Transaction[] | void>;
