/**
 * Implmentation of a log reader that reads data from log files written by the collector
 * service and emits the same to the socket clients connected to their respective child processes.
 */
/// <reference types="node" />
import * as EventEmitter from 'events';
declare class DataLogReader extends EventEmitter {
    logDir: string;
    dataName: string;
    activeLogFileName: string;
    logCounter: number;
    constructor(logDir: string, dataName: string);
    init(): Promise<void>;
    readLogFile(startSize?: number, startEntries?: number): Promise<void>;
    fileExists(filePath: string): Promise<boolean>;
}
export default DataLogReader;
