"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDataLogReaderMetrics = exports.incrementOriginalTxCount = exports.incrementReceiptCount = exports.incrementCycleCount = exports.setInitialDataLogReaderMetrics = void 0;
const cycles_1 = require("../dbstore/cycles");
const originalTxsData_1 = require("../dbstore/originalTxsData");
const receipts_1 = require("../dbstore/receipts");
const dataLogReaderMetrics = {
    cycle: {
        count: 0,
        lastUpdationTimestamp: Date.now(),
    },
    receipt: {
        count: 0,
        lastUpdationTimestamp: Date.now(),
    },
    originalTx: {
        count: 0,
        lastUpdationTimestamp: Date.now(),
    },
};
const setInitialDataLogReaderMetrics = async () => {
    dataLogReaderMetrics.cycle.count = await (0, cycles_1.queryCyleCount)();
    dataLogReaderMetrics.cycle.lastUpdationTimestamp = Date.now();
    dataLogReaderMetrics.receipt.count = await (0, receipts_1.queryReceiptCount)();
    dataLogReaderMetrics.receipt.lastUpdationTimestamp = Date.now();
    dataLogReaderMetrics.originalTx.count = await (0, originalTxsData_1.queryOriginalTxDataCount)();
    dataLogReaderMetrics.originalTx.lastUpdationTimestamp = Date.now();
};
exports.setInitialDataLogReaderMetrics = setInitialDataLogReaderMetrics;
const incrementCycleCount = async () => {
    dataLogReaderMetrics.cycle.count += 1;
    dataLogReaderMetrics.cycle.lastUpdationTimestamp = Date.now();
};
exports.incrementCycleCount = incrementCycleCount;
const incrementReceiptCount = async () => {
    dataLogReaderMetrics.receipt.count += 1;
    dataLogReaderMetrics.receipt.lastUpdationTimestamp = Date.now();
};
exports.incrementReceiptCount = incrementReceiptCount;
const incrementOriginalTxCount = async () => {
    dataLogReaderMetrics.originalTx.count += 1;
    dataLogReaderMetrics.originalTx.lastUpdationTimestamp = Date.now();
};
exports.incrementOriginalTxCount = incrementOriginalTxCount;
const getDataLogReaderMetrics = () => {
    return dataLogReaderMetrics;
};
exports.getDataLogReaderMetrics = getDataLogReaderMetrics;
//# sourceMappingURL=index.js.map