"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.verify = exports.sign = exports.hashObj = exports.setCryptoHashKey = void 0;
const core = require("@shardeum-foundation/lib-crypto-utils");
const lib_types_1 = require("@shardeum-foundation/lib-types");
const index_1 = require("./index");
// Crypto initialization fns
function setCryptoHashKey(hashkey) {
    core.init(hashkey);
    core.setCustomStringifier(lib_types_1.Utils.safeStringify, 'shardus_safeStringify');
}
exports.setCryptoHashKey = setCryptoHashKey;
exports.hashObj = core.hashObj;
function sign(obj, sk, pk) {
    const objCopy = lib_types_1.Utils.safeJsonParse(lib_types_1.Utils.safeStringify(obj));
    core.signObj(objCopy, sk || (0, index_1.getDistributorSecretKey)(), pk || (0, index_1.getDistributorInfo)().publicKey);
    return objCopy;
}
exports.sign = sign;
function verify(obj) {
    return core.verifyObj(obj);
}
exports.verify = verify;
//# sourceMappingURL=Crypto.js.map